/*
**      $VER: spobjectbase.h 3.1 (4.1.97)
**
**      definition of SPObjectBase
**
**      (C) Copyright 1994-97 Andreas R. Kleinert
**      All Rights Reserved.
*/

#ifndef SPOBJECTBASE_H
#define SPOBJECTBASE_H

#ifndef SUPERPLAY_SUPERPLAY_H
#include <superplay/superplay.h>
#endif /* SUPERPLAY_SUPERPLAY_H */

#ifndef EXEC_LISTS
#include <exec/lists.h>
#endif /* EXEC_LISTS */

#ifndef EXEC_LIBRARIES
#include <exec/libraries.h>
#endif /* EXEC_LIBRARIES_H */

struct SPObjectBase  /* internal version of SPObjectBase */
{
 /* PUBLIC, common to all SPObjects */

 struct Library         spb_LibNode;
 struct SPO_ObjectNode *spb_SPObject;      /* must be AllocVec()'ed */
 ULONG                  spb_Reserved [32]; /* Reserved              */

 /* PRIVATE, differs from SPObject to SPObject */

 APTR                   spb_SegList;       /* private part of Base Data */
 struct ExecBase       *spb_SysBase;

};

#endif /* SPOBJECTBASE_H */
