/*
**      $VER: spobsolete.h 6.2 (17.3.97)
**
**      definitions not to be used in new software
**
**      (C) Copyright 1993-97 Andreas R. Kleinert
**      All Rights Reserved.
*/

#ifndef SUPERPLAY_SPOBSOLETE_H
#define SUPERPLAY_SPOBSOLETE_H

#ifndef SUPERPLAY_SUPERPLAY_H
#include <superplay/superplay.h>
#endif /* SUPERPLAY_SUPERPLAY_H */


 /*
  GENERAL NOTE ON OBSOLETE ERROR CODE DEFINITIONS
  -----------------------------------------------

  For reasons of clearness and completeness the following error code
  define names have been replaced by more verbose ones.

  They're still valid but may be missing in future include versions.
 */

#define SPERR_NO_DATA         SPERR_CANNOT_READ_CONTENT
#define SPERR_NO_FILE         SPERR_CANNOT_OPEN_DEST_FILE
#define SPERR_FILE_NOT_FOUND  SPERR_CANNOT_OPEN_SOURCE_FILE
#define SPERR_NO_CLIPBOARD    SPERR_CANNOT_OPEN_SOURCE_CLIP
#define SPERR_NO_CHANNELS     SPERR_CANNOT_ALLOCATE_CHANNELS
#define SPERR_NO_HANDLE       SPERR_INVALID_HANDLE


#endif /* SUPERPLAY_SPOBSOLETE_H */
