/*
**      $VER: superplaybase.h 5.1 (8.8.96)
**
**      definition of SuperPlayBase
**
**      (C) Copyright 1994-96 Andreas R. Kleinert
**      All Rights Reserved.
*/

#ifndef SUPERPLAY_SUPERPLAYBASE_H
#define SUPERPLAY_SUPERPLAYBASE_H

#ifndef SUPERPLAY_SUPERPLAY_H
#include <superplay/superplay.h>
#endif /* SUPERPLAY_SUPERPLAY_H */

#ifndef EXEC_LISTS
#include <exec/lists.h>
#endif /* EXEC_LISTS */

#ifndef EXEC_LIBRARIES
#include <exec/libraries.h>
#endif /* EXEC_LIBRARIES_H */

   /*
      All entries are READ-ONLY.
      The private entries should NEVER be accessed.
   */

struct SuperPlayBase
{
 struct Library        spb_LibNode;
 APTR                  spb_SegList;
 struct ExecBase      *spb_SysBase;
 struct DosLibrary    *spb_DOSBase;
 struct IntuitionBase *spb_IntuitionBase;
 struct List           spb_SPObjectList;
 ULONG                 spb_Private1;       /* do not touch */
 ULONG                 spb_Private2;       /* do not touch */
 struct Library       *spb_UtilityBase;
 struct Library       *spb_IFFParseBase;   /* may be NULL */
 struct Library       *spb_DataTypesBase;  /* may be NULL */
};

#endif /* SUPERPLAY_SUPERPLAYBASE_H */
